### Virtual Method

# RB Player redirect

#### Declaration [src]

    void
    redirect (
      RBPlayer* player,
      gpointer stream_data,
      const gchar* uri
    )

#### Description

No description available.

#### Parameters

`stream_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`uri`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.